<?php

Header("Cache-Control: no-store, no-cache, must-revalidate");
Header("Cache-Control: post-check=0, pre-check=0", false);
Header("Pragma: no-cache");

include "../../config.php";
include "path.php";

include '../helpers/file_helper.php';
include '../helpers/text_helper.php';
include '../helpers/number_helper.php';

$file = file('../config/icons.php');
$icons = array();
foreach($file as $f)
{
	$icons[] = trim($f);
}

$option = $_POST['option'];

$ls = get_dir_file_info(getenv('DOCUMENT_ROOT').$path);
$result = '';

$i = 0;
foreach($ls as $k => $v)
{
	if(strstr($k, '_thumb')) continue;
	if($k == 'permissions.txt') continue;

	$icon = 'system/images/icons/default.icon.gif';
	
	if($option == 'view-table')
	{
		$icons_folder = 'icons-small';
	}
	else
	{
		$icons_folder = 'icons-big';
	}

	preg_match("/(.+)\.([^\.]+)$/", $k, $m);
	if(isset($m[2]))
	{
		if( ! in_array($m[2], $icons))
		{
			$m[2] = 'blank';
		}
		
		$icon = 'system/images/'.$icons_folder.'/'.$m[2].'.png';
		
	}
	else
	{
			$icon = 'system/images/'.$icons_folder.'/blank.png';		
	}

	if($option == 'view-icons')
	{
		if(file_exists($v['relative_path'].$m[1].'_thumb.'.$m[2]))
			$icon = $path.$m[1].'_thumb.'.$m[2].($_POST['refresh'] != '' ? '?rand='.mt_rand(10000,99999) : '');
	}

	

	if($option == 'view-table')
	{
		$result .= 
		"<tr>
		  	<td class='name' path='".$path.$k."'>
				<img src='{$icon}' style='float: left;'><div style='float: left;'>{$k}</div>
		  	</td>
		  	<td class='size' size='".$v['size']."'>".byte_format($v['size'])."</td>
		  	<td class='date' date='".$v['date']."'>".date("m/d/Y h:i a", $v['date'])."</td>		  
		</tr>";
	}
	else
	{
		$ellipsis = '';
		if(strlen($k) > 10)
		{
			$ellipsis = '...';
		}

		$result .= 
			"<div class='name' path='".$path.$k."' date='".date("m/d/Y h:i a", $v['date'])."' size='".byte_format($v['size'])."' style='float: left; border: solid 0px red; padding: auto 0 0 0px; margin: 5px 15px 15px 15px; text-align: center; width: 96px; oveflow: hidden; height: 115px'>
				<table cellpadding='0' cellspacing='0' valign='center' class='thumbnail' style='background: #fff; width: 96px; height: 96px; border: solid 1px #ECE9D8;'><tr><td><img src='{$icon}' style='margin: auto 0px auto 0px;'></td></tr></table><span name=\"$k\">".substr($k, 0, 10).$ellipsis."</span></div>";
	}

		
	$i++;
}

if($result == '')
{
	exit();
}

if($option == 'view-table')
	echo '<table cellpadding="0" cellspacing="0" border="0">', $result, '</table><dt style="display: none;">'.$i.'</dt>';
else
	echo '<div style="margin: 0px 5px 5px 10px;">', $result, '</div><dt style="display: none;">'.$i.'</dt>';

/*
Array
(
    [file.txt] => Array
        (
            [name] => 
            [server_path] => z:\home\localhost\www\myfinder\public\flash\file.txt
            [size] => 0
            [date] => 1227265135
            [relative_path] => z:/home/localhost/www/myfinder/public/flash/
        )

    [Moby - Everything is Wrong.mp3] => Array
        (
            [name] => 
            [server_path] => z:\home\localhost\www\myfinder\public\flash\Moby - Everything is Wrong.mp3
            [size] => 1794269
            [date] => 1227515969
            [relative_path] => z:/home/localhost/www/myfinder/public/flash/
        )

)
*/

?>