<?php

$_POST['path'] = $_REQUEST['path'];

// Load configs
require_once '../../config.php';
include "path.php";

// Load common functions
require_once '../functions/common.php';
// Load file upload class
require_once '../libs/Upload.php';
// Load image manipulation class
require_once '../libs/Image_lib.php';
// Load JsHttpRequest backend.
require_once '../vendors/JsHttpRequest/JsHttpRequest/JsHttpRequest.php';
// Create main library object. You MUST specify page encoding!
$JsHttpRequest =& new JsHttpRequest("utf-8");

if( ! isset($_SESSION['myfinder_admin']) && array_key_exists('uploads', check_perm($path)))
{
	$_RESULT = array(
		'status' => 'upload_error_perm'
	);
	exit;
}

$config['resources']['upload_path'] = getenv('DOCUMENT_ROOT').$path;

$objUpload = new CI_Upload($config['resources']);

if ( ! $objUpload->do_upload('upl'))
{
	$_RESULT = array(
		'status' => $objUpload->display_errors()
	);
}
else
{
    $data =  $objUpload->data();

    $config = array(
    	'source_image' => $data['full_path'],
    	'create_thumb' => TRUE,
    	'width' => 94,
    	'height' => 94,
    );

    @chmod($data['full_path'], 0777);

	$objImage = new CI_Image_lib($config);
    $objImage->resize();

	$_RESULT = array(
		'status' => 'success'
	);
}


?>